Package htsjdk.samtools.filter

# Class SecondaryAlignmentFilter

java.lang.Object
htsjdk.samtools.filter.SecondaryAlignmentFilter

All Implemented Interfaces:
  `SamRecordFilter`

Direct Known Subclasses:
  `NotPrimaryAlignmentFilter`

public class SecondaryAlignmentFilter extends Object implements SamRecordFilter
SamRecordFilter that filters out secondary alignments, but not supplemental alignments.

## Constructor Summary

Constructors
Constructor
Description
`SecondaryAlignmentFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`filterOut(SAMRecord record)`
Returns true if the read is marked as secondary.
`boolean`
`filterOut(SAMRecord first, SAMRecord second)`
Returns true if either read is marked as secondary.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecondaryAlignmentFilter

public SecondaryAlignmentFilter()

## Method Details

### filterOut

public boolean filterOut(SAMRecord record)
Returns true if the read is marked as secondary.

Specified by:
  `filterOut` in interface `SamRecordFilter`
Parameters:
  `record` - the SAMRecord to evaluate
Returns:
  true if the SAMRecord matches the filter, otherwise false

### filterOut

public boolean filterOut(SAMRecord first, SAMRecord second)
Returns true if either read is marked as secondary.

Specified by:
  `filterOut` in interface `SamRecordFilter`
Parameters:
  `first` - the first SAMRecord to evaluate
  `second` - the second SAMRecord to evaluate
Returns:
  true if the pair of records matches filter, otherwise false